Page Summary
-
This document outlines how to bulk edit sites under a single channel using an HTTP POST request.
-
The bulk edit operation involves deleting specified sites and then creating others within the same channel.
-
The request requires path parameters for the channel ID and either a partner ID or advertiser ID.
-
The request body includes lists of sites to be deleted and sites to be created, and specifies the owner of the channel.
-
A successful response returns a BulkEditSitesResponse and requires authorization using the
https://www.googleapis.com/auth/display-videoscope.
Bulk edits sites under a single channel.
The operation will delete the sites provided in BulkEditSitesRequest.deleted_sites and then create the sites provided in BulkEditSitesRequest.created_sites.
HTTP request
POST https://displayvideo.googleapis.com/v1beta2/advertisers/{advertiserId}/channels/{channelId}/sites:bulkEdit
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
channelId |
Required. The ID of the parent channel to which the sites belong. |
advertiserId |
The ID of the advertiser that owns the parent channel. |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "deletedSites": [ string ], "createdSites": [ { object ( |
| Fields | |
|---|---|
deletedSites[] |
The sites to delete in batch, specified as a list of site |
createdSites[] |
The sites to create in batch, specified as a list of |
Union field owner. Required. Identifies the DV360 entity that owns the parent channel. It can be either a partner or an advertiser. owner can be only one of the following: |
|
partnerId |
The ID of the partner that owns the parent channel. |
advertiserId |
The ID of the advertiser that owns the parent channel. |
Response body
If successful, the response body contains an instance of BulkEditSitesResponse.
Authorization Scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview.